Skip to main content
GET
/
webhooks
/
endpoints
List webhook endpoints
curl --request GET \
  --url https://api.conduit.financial/v2/webhooks/endpoints \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "url": "https://api.example.com/webhooks/conduit",
      "description": "Production webhook receiver",
      "active": true,
      "subscription": {
        "mode": "ALL"
      },
      "createdAt": "2026-01-15T09:30:00.000Z",
      "updatedAt": "2026-01-15T09:30:00.000Z"
    }
  ],
  "meta": {
    "mode": "cursor",
    "nextCursor": "eyJpZCI6ImN1c18yeFBxTjhSIn0",
    "previousCursor": null,
    "total": 42
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

limit
number
default:20

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100
direction
enum<string>

Pagination direction relative to the cursor

Available options:
forward,
backward

Response

data
object[]
required
meta
object
required